This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1294577 - Review Request: jmtpfs - FUSE and libmtp based filesystem for accessing MTP devices
Review Request: jmtpfs - FUSE and libmtp based filesystem for accessing MTP d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-28 23:20 EST by Robert Scheck
Modified: 2016-01-20 23:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 03:54:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lupinix.fedora: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2015-12-28 23:20:28 EST
Spec URL: http://labs.linuxnetz.de/bugzilla/jmtpfs.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/jmtpfs-0.4-2.src.rpm
Description:
jmtpfs is a FUSE and libmtp based filesystem for accessing MTP (Media
Transfer Protocol) devices. It was specifically designed for exchanging
files between Linux systems and newer Android devices that support MTP
but not USB Mass Storage.

The goal is to create a well behaved filesystem, allowing tools like
find and rsync to work as expected. MTP file types are set automatically
based on file type detection using libmagic. Setting the file appears to
be necessary for some Android apps, like Gallery, to be able to find and
use the files.

Since it is meant as an Android file transfer utility, the playlists and
other non-file based data are not supported.
Comment 1 barsnick 2016-01-02 06:42:16 EST
Funny that this should pop up again. I was just reviewing the state of packages in my copr, and noticed you followed up with a new ticket.

The package from the previous review has been living happily in this copr:
https://copr.fedoraproject.org/coprs/barsnick/non-fed/package/jmtpfs/

I need it because the gvfs based (automatic) mounting of my Android phone just "doesn't work" - you can see the files, but any access is denied. I never bothered to open up a bugzilla ticket for it yet, but jmtpfs, using the same libraries, just works (with quirks).

There's one thing about your SPEC file - it picks up the same version-release (0.4-2) as the last one in the previous review. But that's just a nit-pick.

Apart from that, it fixes ALL those things (and more) I was just fixing when re-reviewing the old SPEC:
- use versioned BRs
- don't Require fuse (it would have been fuse-libs, and it would have been automatic anyway)
- use a better URL
- package more %docs.

Nice!

I have built your package in my copr for my personal pleasure (and those who happen to use it):
https://copr.fedoraproject.org/coprs/barsnick/non-fed/build/151119/

I too want this to go upstream, but perhaps fixing the gvfs-based default module should also be a goal.
Comment 2 Upstream Release Monitoring 2016-01-03 20:04:14 EST
lupinix's scratch build of jmtpfs-0.4-2.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12398449
Comment 3 Christian Dersch 2016-01-03 20:04:15 EST
Approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===> Should be a result of bug #1264803 => False positive, not an issue


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "*No copyright* GPL (v3)", "Unknown or
     generated". 18 files have unknown license. Detailed output of
     licensecheck in /home/review/1294577-jmtpfs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Buildroot is not present
     Note: Buildroot: present but not needed
[-]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

===> I think you add these for older EPEL releases => fine :)

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in jmtpfs-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12398438

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

===> Should be a result of bug #1264803

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/review/1294577-jmtpfs/results/jmtpfs-0.4-2.fc24.x86_64.rpm /home/review/1294577-jmtpfs/results/jmtpfs-debuginfo-0.4-2.fc24.x86_64.rpm /home/review/1294577-jmtpfs/results/jmtpfs-debuginfo-0.4-2.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/review/1294577-jmtpfs/results/jmtpfs-0.4-2.fc24.x86_64.rpm /home/review/1294577-jmtpfs/results/jmtpfs-debuginfo-0.4-2.fc24.x86_64.rpm /home/review/1294577-jmtpfs/results/jmtpfs-debuginfo-0.4-2.fc24.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: jmtpfs-0.4-2.fc24.x86_64.rpm
          jmtpfs-debuginfo-0.4-2.fc24.x86_64.rpm
          jmtpfs-0.4-2.fc24.src.rpm
jmtpfs.x86_64: W: no-manual-page-for-binary jmtpfs
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
jmtpfs-debuginfo (rpmlib, GLIBC filtered):

jmtpfs (rpmlib, GLIBC filtered):
    /usr/bin/fusermount
    libc.so.6()(64bit)
    libfuse.so.2()(64bit)
    libfuse.so.2(FUSE_2.5)(64bit)
    libfuse.so.2(FUSE_2.6)(64bit)
    libfuse.so.2(FUSE_2.8)(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libmagic.so.1()(64bit)
    libmtp.so.9()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
jmtpfs-debuginfo:
    jmtpfs-debuginfo
    jmtpfs-debuginfo(x86-64)

jmtpfs:
    jmtpfs
    jmtpfs(x86-64)



Source checksums
----------------
http://research.jacquette.com/wp-content/uploads/2012/05/jmtpfs-0.4.tar.gz :
  CHECKSUM(SHA256) this package     : cc063fca9702f230b386845575fe0aa00aedc6665f2db9f6ac9bf75e2abeb4a6
  CHECKSUM(SHA256) upstream package : cc063fca9702f230b386845575fe0aa00aedc6665f2db9f6ac9bf75e2abeb4a6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1294577
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Upstream Release Monitoring 2016-01-03 20:04:17 EST
lupinix's scratch build of jmtpfs-0.4-2.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12398438
Comment 5 Gwyn Ciesla 2016-01-04 09:13:47 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/jmtpfs
Comment 6 Fedora Update System 2016-01-04 13:29:58 EST
jmtpfs-0.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ff4980ee9
Comment 7 Fedora Update System 2016-01-04 13:30:39 EST
jmtpfs-0.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dcc13327c0
Comment 8 Fedora Update System 2016-01-04 13:31:26 EST
jmtpfs-0.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-46f030c51b
Comment 9 Fedora Update System 2016-01-04 13:33:37 EST
jmtpfs-0.4-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5117772aed
Comment 10 Fedora Update System 2016-01-05 18:21:29 EST
jmtpfs-0.4-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5117772aed
Comment 11 Fedora Update System 2016-01-05 18:27:18 EST
jmtpfs-0.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-46f030c51b
Comment 12 Fedora Update System 2016-01-05 19:25:08 EST
jmtpfs-0.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dcc13327c0
Comment 13 Fedora Update System 2016-01-05 19:29:52 EST
jmtpfs-0.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4ff4980ee9
Comment 14 Fedora Update System 2016-01-14 03:54:38 EST
jmtpfs-0.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-01-14 04:49:47 EST
jmtpfs-0.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-20 23:27:45 EST
jmtpfs-0.4-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-01-20 23:38:22 EST
jmtpfs-0.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.